libzypp 17.37.10

ztui::Out::ParentOut Class Reference

Convenience base class storing the back reference to Out. More...

`#include <zypp-tui/output/Out.h>`

Inheritance diagram for ztui::Out::ParentOut:

## Public Member Functions
| ParentOut (Out &out_r)
Out & | out ()

## Private Attributes
Out & | _out

## Detailed Description

Convenience base class storing the back reference to Out.

Definition at line 461 of file Out.h.

## Constructor & Destructor Documentation

## ◆ ParentOut()

ztui::Out::ParentOut::ParentOut | ( | Out & | out_r | ) |
| inline

Definition at line 463 of file Out.h.

## Member Function Documentation

## ◆ out()

Out & ztui::Out::ParentOut::out | ( |  | ) |
| inline

Definition at line 464 of file Out.h.

## Member Data Documentation

## ◆ _out

Out& ztui::Out::ParentOut::_out
| private

Definition at line 466 of file Out.h.

The documentation for this class was generated from the following file:

- zypp-tui/output/Out.h